var spage=new Object();

spage.boxy=null;
spage.eId=0;	// 编辑id
spage.changed=false;	// 是否有添加或修改，有则关闭后刷新

// 显示表单
spage.disp = function(sid){
	if (spage.boxy){
		spage.changed=false;
		spage.boxy.show();
		var o_f=document.fmPost;
		var ed=tinyMCE.get("content");
		if (sid>0){
			// 编辑的处理
			spage.eId=sid;
			spage.boxy.setTitle("修改单独页面");
			$("#btPost").html("修 改");
			$.post(iwms.urlPrefix+"admin_spage.aspx",{act:'ajax',cmd:'get',id:sid},function(r){
				o_f.title.value=r.title;
				ed.setContent(r.content);
			});
		}else{
			spage.eId=0;
			spage.boxy.setTitle("添加单独页面");
			$("#btPost").html("添 加");
			o_f.title.value="";
			ed.setContent("");
			$(o_f.title).focus();
		}

	}else{
		$.get(iwms.urlPrefix+'spage.xml',function(r){
			var html=$(r).find("html:eq(0)").text();
			spage.boxy=new Boxy(html,{title:'单独页面',modal:true,afterHide:function(){if(spage.changed)location.reload()} });
			// 初始编辑器
			var tinysetSpage = CloneObj(tinysetSys);
			tinysetSpage.plugins+=",fullscreen";
			tinysetSpage.theme_advanced_buttons1_add="forecolor,backcolor,fontsizeselect,removeformat,|,link,unlink,image,media,preview,code,fullscreen,help";
			tinysetSpage.init_instance_callback=function(inst){spage.disp(sid);};
			tinyMCE.init(tinysetSpage);
			
		},'xml');
		return;
	}
};

// 提交帖子
spage.post = function(){
	var ed=tinyMCE.get("content");
	ed.save();

	var fm=document.fmPost;
	fm.title.value=fm.title.value.trim();
	if (fm.title.value.gbLen()<2 || fm.title.value.isSpace()){
		alert("标题不能少于2个字符(1个中文)");
		fm.title.focus();
		return false;
	}
	if (fm.content.value.gbLen()<4 || fm.content.value.isSpace()){
		alert("内容不能少于4个字符(2个中文)");
		ed.focus();
		return false;
	}
	ed.setProgressState(1);

	iwms.ajSrc=fm.title;
	var v=iwms.ajForm(fm);
	v.act='ajax';

	v.cmd='save';
	v.id=spage.eId;
	$.post(iwms.urlPrefix+'admin_spage.aspx',v,function(r){
		if(ed)ed.setProgressState(0);
		if (r.success){
			Boxy.alert("数据保存成功",null,{title:"操作结果"});
			spage.changed=true;
		}else{
			Boxy.alert("发生错误："+r.msg,null,{title:"操作结果"});
		}
	},'json');
	return false;
};

spage.del=function(obj,id){
	var s="<div style='padding:30px'>确认删除单独页面<\/div>";
	Boxy.confirm(s,function(){
		$.post('admin_spage.aspx',{act:'ajax',cmd:'delete',id:id},function(r){
			if(r.success){
				Boxy.alert("删除成功",null,{title:"操作结果"});
				$(obj).parents("tr:first").hide();
			}else{
				Boxy.alert("删除失败",null,{title:"操作结果"});
			}
		},'json');
	});
};
